/* Import fonts from fonts.css */
@import url('/css/fonts.css');

/* css variables */
@import url('/css/partials/_variables.css');

/* globals styling variable */
@import url('/css/partials/_globals.css');

/* Script for movr up button */
@import url('/css/moveUpBtn.css');

html,body{
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;

}

/*========================== Global Classes ========================== */
a{
    text-decoration: none;
    color: var(--text-color);
}

h2{
    /* font-family: var(--lexend_deca); */
    font-size: 2.2rem;
}

h3{
    /* font-family: var(--abel); */
    font-family: var(--lexend_deca);
    font-size: 1.8rem;
}

h4{
    font-size: 1rem;
    font-family: var(--josefin_sans);
}

.footer_text::after {
    color: var(--text-gray);
    content: var(--footer_content);
    font-family: var(--josefin_sans);;
}

p{
    font-family: var(--lexend_deca);
    color: #000000;
    font-size: 1.1em;
    font-weight: 300;
    line-height: 1.7em;
}

/*========================== Global Classes Ends ==========================*/

/*========================== Navbar Styling ==========================*/
/* Style defined in the __globals stylesheet */
/*========================== End Navbar Styling ==========================*/


/*========================== Page Content Styling ==========================*/

body {
    /* background-image: url('/assets/banner4.png'); */
    background-image: url('/assets/C/C_Bckgnd2.png');
    background-size: cover;
    /* background-size: auto; */
    background-repeat: no-repeat;
    justify-content: center;
}


/*=================================== New Code ===================================*/
.page-heading{
    margin-top: 3rem;
    text-align: center;
}
.name{
    margin-top: 3rem;
    font-size: 4rem;
    font-family: var(--lexend_deca);
}
hr.style-one {
    border: 0;
    height: 1px;
    background: #333;
    background-image: -webkit-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -moz-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -ms-linear-gradient(left, #ccc, #333, #ccc);
    background-image: -o-linear-gradient(left, #ccc, #333, #ccc);
}
.container{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding-bottom: 50px;
}
.lib-contents{
    position: relative;
}
/*=================================== New Code ===================================*/



/*=================================== SideNav New Code 1 ===================================*/

.slide{
    height: 70%;
    /* width: 180px; */
    width: 350px;
    position: absolute;    
    /* background: rgb(228, 209, 45); */
    /* background-image: linear-gradient(to top, #a8edea 0%, #fed6e3 100%); */
    /* background-image: linear-gradient(-20deg, #e9defa 0%, #fbfcdb 100%); */
    /* background-image: linear-gradient(to top, #d5dee7 0%, #ffafbd 0%, #c9ffbf 100%); */
    background-image: linear-gradient(135deg, #fdfcfb 0%, #e2d1c3 100%);
    border-radius: 8px;
    /* border: 2px solid #6ce0f0; */
    transition: 0.5s ease;
    transform: translateX(-180px);
    opacity: 0;
}
.sideNav{
    list-style: none;
}
.sideNav li a{
    color: rgb(230, 51, 51);
    font-weight: 500;
    padding: 5px 0;
    display: block;
    text-transform: capitalize;
    text-decoration: none;
    transition: 0.2s ease;
}
.sideNav li:hover a{
    color: #fff;
    background-color: #8000ff;
}
.sideNav li a i{
    width: 40px;
    text-align: center;
}
.sidetitle{
    color: #8000ff;
    font-weight: 800;
    text-align: right;
    padding: 10px 0;
    padding-right: 30px;
    pointer-events: none;
}
input{
    display: none;
    visibility: hidden;
    -webkit-appearance: none;
}
.toggle{
    position: absolute;
    height: 35px;
    width: 35px;
    /* top: 20px; */
    left: 15px;
    z-index: 1;
    cursor: pointer;
    border-radius: 9px;
    /* border: 2px solid #6ce0f0; */
    /* background-color: #fff; */
    /* background-image: linear-gradient(to right, #74ebd5 0%, #9face6 100%); */
    /* background-image: linear-gradient(to top, #fdcbf1 0%, #fdcbf1 1%, #e6dee9 100%); */
    background-image: linear-gradient(135deg, #f5f7fa 0%, #c3cfe2 100%);
    /* box-shadow: 0 0 10px rgba(0, 0, 0, 0.3); */
    /* transform:translate(-30%,-50%); */
}

.toggle:before{
    position:absolute;
    content:'';
    border:2px solid #6ce0f0;
    left:0;
    right:0;
    bottom:0;
    top:0;
    border-radius:9px;
    animation:animate 2s linear infinite;
}
.toggle:after{
    position:absolute;
    content:'';
    border:2px solid #6ce0f0;
    left:0;
    right:0;
    bottom:0;
    top:0;
    border-radius:9px;
    animation:animate 2s 1s linear infinite;
}
@keyframes animate{
  100%{
    transform:scale(2);
    opacity:0
  }
}

.toggle .common{
    position: absolute;
    height: 2px;
    width: 20px;
    /* background-color: #8000ff; */
    background-color: #4f4658;
    border-radius: 50px;
    transition: 0.3s ease;
}
.toggle .top_line{
    top: 30%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.toggle .top_line1{
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.toggle .middle_line{
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
}
.toggle .bottom_line{
    top: 70%;
    left: 50%;
    transform: translate(-50%, -50%);
}
input:checked ~ .toggle .top_line{
    left: 2px;
    top: 14px;
    width: 25px;
    transform: rotate(45deg);
}
input:checked ~ .toggle .bottom_line{
    left: 2px;
    top: 14px;
    width: 25px;
    transform: rotate(-45deg);
}
input:checked ~ .toggle .top_line1{
    opacity: 0;
    transform: translateX(20px);
}
input:checked ~ .slide{
    transform: translateX(0);    
    opacity: 1;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.5);
}

.sideNavlogo{
    width: 150px;
    height: 150px;
    background: url('/assets/c-logo.png');
    background-position: center;
    background-size: cover;
    text-align: center;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
}
.sideNavtitle{
    width: 100%;
    text-align: center;
    font-size: 30px;
    font-weight: bold;
    margin-top: 10px;
    color: #8000ff;
}
.sideNav #nested1, 
.sideNav #nested2, 
.sideNav #nested3, 
.sideNav #nested4, 
.sideNav #nested5, 
.sideNav #nested6, 
.sideNav #nested7, 
.sideNav #nested8{
    background: #272626;
    cursor: pointer;
    display: none;
    padding-left: 30px;
}
.sideNav li a:focus{
    background: black;
    border-left: 4px solid #00fcff;
}

/*=================================== SideNav New Code 1 End ===================================*/


/*=================================== SideNav New Code 2 ===================================*/
.sideContainer{
    width: 250px;
    background: #fc8585;
    height: 100vh;
    color: #fff;
    text-align: center;
    transition: 0.5s ease;
    transform: translateX(-250px);
}
.side-logo{
    width: 100px;
    height: 100px;
    border: 3px solid #0190ff;
    border-radius: 50px;
    background: url('/assets/c-logo.png');
    background-position: center;
    background-size: cover;
    text-align: center;
    position: relative;
    left: 50%;
    transform: translateX(-50%);
}
.side-title{
    width: 100%;
    text-align: center;
    font-size: 20px;
    font-weight: bold;
    margin-top: 10px;
    color: #b9b9b9;
}
.side-list{
    width: 100%;
}
.side-list li{
    display: block;
    cursor: pointer;
    width: 100%;
    height: 40px;
    line-height: 40px;
    position: relative;
    letter-spacing: 1px;
    border-top: 0.5px solid rgba(17, 83, 10, 0.08);
    border-bottom: 0.5px solid black;
}
.side-list li a{
    text-decoration: none;
    color: #fff;
    display: block;
}
.side-list li a:focus{
    background: black;
    border-left: 4px solid #00fcff;
}
/* .side-list li span{
    position: absolute;
    right: 10px;
    top: 30%;
    font-size: 13px;
    cursor: pointer;
    transition: 0.4s;
} */
.side-list #nested1, 
.side-list #nested2, 
.side-list #nested3, 
.side-list #nested4, 
.side-list #nested5, 
.side-list #nested6, 
.side-list #nested7, 
.side-list #nested8{
    background: #272626;
    cursor: pointer;
    display: none;
}
/* input{
    -webkit-appearance: none;
    display: none;
    visibility: hidden;
} */
#bars, #times{
    position: absolute;
    right: -30px;
    top: 5px;
    height: 25px;
    width: 27px;
    background: #1b1b1b;
    line-height: 25px;
    cursor: pointer;
    border-radius: 2px;
}
#times{
    display: none;
}
#r1:checked ~ .sideContainer{
    transform: translateX(0px);
    /* display: none;
    visibility: hidden; */
}
#r1:checked ~ .sideContainer #times{
    display: block;
    /* visibility: visible; */
}


/*=================================== SideNav New Code 2 End ===================================*/


a,
a:hover,
a:focus{
    color: inherit;
    text-decoration: none;
    transition: all 0.3s;
}

/*--Sidebar--*/
.wrapper{
    display: flex;
    text-decoration: none;
    transition: all 0.3s;
}
#sidebar{
    min-width: 250px;
    max-width: 250px;
    /* background: #7386D5; */
    background: #1b1b1b;
    color: #fff;
    transition: all 0.3s;
    /* height: 100vh; */
    height: 100%;
}
#sidebar.active{
    /* margin-left: -250px; */
    margin-left: 0px;
}
#sidebar .sidebar-header{
    padding: 20px;
    /* background: #6d7fcc; */
    background-image: url('/assets/C/C_Logo_bckgnd.png');
}
#sidebar ul.components{
    padding: 20px 0;
    border-bottom: 1px solid #47748b;
}
#sidebar ul p{
    color: #fff;
    padding: 10px;
}
#sidebar ul li a{
    padding: 10px;
    font-size: 1.1em;
    display: block;
}
#sidebar ul li a:hover{
    color: #7386D5;
    background: #fff;
}
#sidebar ul li.active>a,
a[aria-expanded="true"]{
    color: #fff;
    background: #6d7fcc;
}

a[data-toggle="collapse"]{
    position: relative;
}
.dropdown-toggle::after{
    display: block;
    position: absolute;
    top: 50%;
    right: 20%;
    transform: translateY(-50%);
}
ul ul a{
    font-size: 0.9em !important;
    padding-left: 30px !important;
}
#content{
    width: 100%;
    padding: 20px;
    min-height: 100vh;
    transition: all 0.3s;
}

.logo{
    width: 150px;
    height: 100px;
    border: none;
    background: url('/assets/c-logo.png');
    background-position: center;
    background-size: cover;
    text-align: center;
    position: relative;
    left: 50%;
    transform: translate(-50%);
}
#sidebar {
    margin-left: -250px;
}
/* #sidebar.active {
    margin-left: 0;
} */
.sideTitle{
    font-size: 1.5rem;
    font-family: var(--livvic);
}
#sidebarCollapse span {
    display: none;
}
.lisst-unstyled{
    background: #1b1b1b;
}
#content .btn{
    height: 40px;
    width: 55px;
    margin-left: -45px;
    border: none;
    border-radius: 2rem;
    font-size: 2rem;
    line-height: 25px;
    cursor: pointer;
}
.introImg{
    width: 1200px;
    height: 200px;
}
.page-navigator .nav-prev,
.page-navigator .nav-next{
    color: var(--text-gray);
    background: transparent;
    font-size: 2rem;
    font-family: var(--lexend_deca);
}
.page-navigator .nav-prev a,
.page-navigator .nav-next a{
    text-decoration: none;
}

.list-a, .list-b{
    list-style-type: square;
    font-weight: 500;
}
.title-name{
    font-size: 55px;
}
.topic-name{
    font-size: 35px;
}



/*========================== End Page Content Styling ==========================*/


/*========================== Footer Styling ==========================*/

footer.footer{
    background: var(--title-color);
    /* position: relative;
    padding: 0 2rem; */
    position: fixed;
    left: 0;
    bottom: 0;
    width: 100%;
    text-align: center;
}


footer.footer .container h3{
    color: var(--white);
}

footer.footer .rights{
    justify-content: center;
    font-family: var(--josefin_sans);
}

footer.footer .rights a{
    color: var(--white);
}

footer.footer .move-up{
    position:relative;
    /* right: 6%; */
    /* left: 48%; */
    left: 33%;
    top: 50%;
    color: var(--midnight-green);
}

footer.footer .move-up:hover{
    color: var(--white);
    cursor: pointer;
}

/*========================== End Footer Styling ==========================*/


/*========================== viewport less than or equals to 1130px =====================*/

@media only screen and (max-width:1130px){

    #content .btn{
        margin-left: -45px;
        line-height: 25px;
    }

    .introImg{
        width: 950px;
        height: 250px;
    }
    /* footer.footer .rights h4,a{
        padding: 0.8rem 0.2rem !important;
        font-size: 1.3rem;
    } */
    /* footer .move-up{
        font-size: 0.8rem;
    } */
    footer.footer .move-up{
        left: 20%;
    }
}

/*========================== End of viewport less than or equals to 1130px =====================*/


/*========================== viewport less than or equals to 770px =====================*/

@media only screen and (max-width:770px){

    #content .btn{
        height: 34px;
        width: 45px;
        margin-left: -30px;
        font-size: 1.5rem;
        line-height: 15px;
    }

    .introImg{
        width: 720px;
        height: 210px;
    }

    /* footer.footer .rights h4,a{
        padding: 0.8rem 0.2rem !important;
        font-size: 0.9rem;
    } */
    /* footer .move-up{
        font-size: 0.7rem;
    } */
    footer.footer .move-up{
        left: 7%;
    }

}

/*=================== viewport less than or equals to 770px close =====================*/


/*=================== viewport less than or equals to 520px =========================*/

@media only screen and (max-width:520px){
    main .page-title .page-background{
        padding-top: 0.5rem;
    }
    .name{
        font-size: 3rem;
    }
    
    #content .btn{
        height: 33px;
        width: 45px;
        margin-left: -35px;
        font-size: 1.5rem;
        line-height: 18px;
    }

    main .page-title h1{
        margin: 0.3rem;
        font-size: 1.5rem;
    }

    .introImg{
        /* width: 385px; */
        width: 375px;
        height: 140px;
    }
    .title-name{
        font-size: 50px;
    }
    .topic-name{
        font-size: 35px;
        font-weight: bold;
    }
    
    /* footer.footer .rights > div{
        padding: 0.8rem 0.9rem !important;
        font-size: 0.1rem;
    } */
    /* footer.footer .rights h4,a{
        padding: 0.8rem 0.2rem !important;
        font-size: 0.8rem;
    } */
    /* footer .move-up{
        font-size: 0.8rem;
    }
    
    footer .rights{
        padding: 0 1.4rem;
        text-align: center;
    }     */
    footer.footer .move-up{
        left: 22%;
    }
}
/*=================== viewport less than or equals to 520px close =========================*/



/*=================== viewport less than or equals to 380px =========================*/

@media only screen and (max-width:375px){
    .introImg{
        width: 350px;
        height: 130px;
    }
    .name{
        font-size: 3rem;
    }
    footer.footer .move-up{
        left: 14%;
    }
}
/*=================== viewport less than or equals to 380px close =========================*/

/*=================== viewport less than or equals to 330px =========================*/
@media only screen and (max-width:330px){
    .introImg{
        width: 300px;
        height: 100px;
    }
}
/*=================== viewport less than or equals to 320px close =========================*/


